[PATCH] perf/tests: Fix test case 95 Check branch stack sampling on s390

From: Thomas Richter
Date: Wed Jul 27 2022 - 03:12:26 EST


On linux-next tree perf test 95 was added recently.
s390 does not support branch sampling at all. Therefore
omit this test on s390 platform.

Output before:
# ./perf test -Fv 95
95: Check branch stack sampling :
--- start ---
Testing user branch stack sampling
---- end ----
Check branch stack sampling: FAILED!
#

Output after:
# ./perf test -Fv 95
95: Check branch stack sampling :
--- start ---
---- end ----
Check branch stack sampling: Skip
#

Signed-off-by: Thomas Richter <tmricht@xxxxxxxxxxxxx>
---
tools/perf/tests/shell/test_brstack.sh | 3 +++
1 file changed, 3 insertions(+)

diff --git a/tools/perf/tests/shell/test_brstack.sh b/tools/perf/tests/shell/test_brstack.sh
index 113ccd17bf03..dedaf74164dc 100755
--- a/tools/perf/tests/shell/test_brstack.sh
+++ b/tools/perf/tests/shell/test_brstack.sh
@@ -4,6 +4,9 @@
# SPDX-License-Identifier: GPL-2.0
# German Gomez <german.gomez@xxxxxxx>, 2022

+# s390 does not support branch sampling, omit
+[ $(uname -m) = "s390" -o $(uname -m) = "s390x" ] && exit 2
+
# we need a C compiler to build the test programs
# so bail if none is found
if ! [ -x "$(command -v cc)" ]; then
--
2.36.1